---
- name: "Configurer interfaces"
  gather_facts: no
  hosts: routers
  tasks:

    - name: "Configurer interface gig2"
      ios_config:
        parents:
          - "interface GigabitEthernet2"
        lines:
          - "ip address 192.168.254.{{ pod_id }} 255.255.255.0"
          - "ip ospf priority 0"

    - ios_interface:
        name: "GigabitEthernet2"
        state: up
